Get proponent risk analyses for a project
curl --request GET \
--url https://vcm-fyi-api.fly.dev/v1/proponent-forensics/by-project/{project_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://vcm-fyi-api.fly.dev/v1/proponent-forensics/by-project/{project_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://vcm-fyi-api.fly.dev/v1/proponent-forensics/by-project/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"proponent_key": "<string>",
"lookup_type": "<string>",
"proponent_names": "<string>",
"project_ids": "<string>",
"project_count": 123,
"total_issued": 123,
"countries": "<string>",
"registries": "<string>",
"run_date": "2023-11-07T05:31:56Z",
"status": "<string>",
"overall_risk_rating": "<string>",
"investment_recommendation": "<string>",
"governance_risk": "<string>",
"financial_risk": "<string>",
"legal_risk": "<string>",
"social_risk": "<string>",
"institutional_risk": "<string>",
"pillars_json": "<string>",
"primary_concern": "<string>",
"key_mitigation": "<string>",
"comparable_proponents": "<string>",
"raw_json": "<string>",
"error_type": "<string>",
"error_message": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Proponent Forensics
Get proponent risk analyses for a project
Retrieve risk analyses for all proponents (developers) associated with a specific project.
A project may have multiple proponents if it was developed by a consortium or changed hands. Returns an array of proponent forensic records.
Returns 404 if no proponent analysis is linked to the given project ID.
GET
/
v1
/
proponent-forensics
/
by-project
/
{project_id}
Get proponent risk analyses for a project
Authorizations
Path Parameters
Response
List of proponent risk analyses linked to the project